# class Tk::Iwidgets::Optionmenu

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

delete(first, last=nil) click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 27
    def delete(first, last=nil)
      if last
        tk_call(@path, 'delete', first, last)
      else
        tk_call(@path, 'delete', first)
      end
      self
    end

disable(idx) click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 36
    def disable(idx)
      tk_call(@path, 'disable', idx)
      self
    end

enable(idx) click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 41
    def enable(idx)
      tk_call(@path, 'enable', idx)
      self
    end

get(first=nil, last=nil) click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 46
    def get(first=nil, last=nil)
      if last
        simplelist(tk_call(@path, 'get', first, last))
      elsif first
        tk_call(@path, 'get', first)
      else
        tk_call(@path, 'get')
      end
    end

get_range(first, last) click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 55
    def get_range(first, last)
      get(first, last)
    end

get_selected() click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 58
    def get_selected
      get()
    end

index(idx) click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 62
    def index(idx)
      number(tk_call(@path, 'index', idx))
    end

insert(idx, *args) click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 66
    def insert(idx, *args)
      tk_call(@path, 'insert', idx, *args)
      self
    end

select(idx) click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 71
    def select(idx)
      tk_call(@path, 'select', idx)
      self
    end

sort(*params, &b) click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 76
    def sort(*params, &b)
      # see 'lsort' man page about params
      if b
        tk_call(@path, 'sort', '-command', proc(&b), *params)
      else
        tk_call(@path, 'sort', *params)
      end
      self
    end

sort_ascending() click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 85
    def sort_ascending
      tk_call(@path, 'sort', 'ascending')
      self
    end

sort_descending() click to toggle source

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 89
    def sort_descending
      tk_call(@path, 'sort', 'descending')
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/optionmenu.rb, line 22
    def __boolval_optkeys
      super() << 'cyclicon'
    end